package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_company的实体类
  企业信息
 */
@ApiModel(value = "企业信息")
public class Company {
	private String id;
	private String name;
	private String realName;
	private String passWord;
	private String legalName;
	private String legalCard;
	private String legalCardFile;
	private String usccCode;
	private String usccFiles;
	private String type;
	private String businessNature;
	private String businessScope;
	private String industryType;
	private Integer employeesNumber;
	private Integer insuredNumber;
	private String person;
	private String tel;
	private String mail;
	private String postal;
	private String address;
	private String companyStampFile;
	private String promoter;
	private String remark;
	private String openId;
	private String buyId;
	private String status;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;

		/**
	 *获取ID
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取用户名
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置用户名
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取企业名称
	 */
	public String getRealName(){
		return realName;
	}
	
	/**
	 *设置企业名称
	 */
	public void setRealName(String realName){
		this.realName = realName;
	}
		/**
	 *获取密码
	 */
	public String getPassWord(){
		return passWord;
	}
	
	/**
	 *设置密码
	 */
	public void setPassWord(String passWord){
		this.passWord = passWord;
	}
		/**
	 *获取法人代表
	 */
	public String getLegalName(){
		return legalName;
	}
	
	/**
	 *设置法人代表
	 */
	public void setLegalName(String legalName){
		this.legalName = legalName;
	}
		/**
	 *获取法人代表身份证
	 */
	public String getLegalCard(){
		return legalCard;
	}
	
	/**
	 *设置法人代表身份证
	 */
	public void setLegalCard(String legalCard){
		this.legalCard = legalCard;
	}
		/**
	 *获取法人代表身份证附件
	 */
	public String getLegalCardFile(){
		return legalCardFile;
	}
	
	/**
	 *设置法人代表身份证附件
	 */
	public void setLegalCardFile(String legalCardFile){
		this.legalCardFile = legalCardFile;
	}
		/**
	 *获取证件编号
	 */
	public String getUsccCode(){
		return usccCode;
	}
	
	/**
	 *设置证件编号
	 */
	public void setUsccCode(String usccCode){
		this.usccCode = usccCode;
	}
		/**
	 *获取证件附件(营业执照/企业代码)
	 */
	public String getUsccFiles(){
		return usccFiles;
	}
	
	/**
	 *设置证件附件(营业执照/企业代码)
	 */
	public void setUsccFiles(String usccFiles){
		this.usccFiles = usccFiles;
	}
		/**
	 *获取企业类型
	 */
	public String getType(){
		return type;
	}
	
	/**
	 *设置企业类型
	 */
	public void setType(String type){
		this.type = type;
	}
		/**
	 *获取营业性质
	 */
	public String getBusinessNature(){
		return businessNature;
	}
	
	/**
	 *设置营业性质
	 */
	public void setBusinessNature(String businessNature){
		this.businessNature = businessNature;
	}
		/**
	 *获取营业范围
	 */
	public String getBusinessScope(){
		return businessScope;
	}
	
	/**
	 *设置营业范围
	 */
	public void setBusinessScope(String businessScope){
		this.businessScope = businessScope;
	}
		/**
	 *获取行业类型
	 */
	public String getIndustryType(){
		return industryType;
	}
	
	/**
	 *设置行业类型
	 */
	public void setIndustryType(String industryType){
		this.industryType = industryType;
	}
		/**
	 *获取雇员人数
	 */
	public Integer getEmployeesNumber(){
		return employeesNumber;
	}
	
	/**
	 *设置雇员人数
	 */
	public void setEmployeesNumber(Integer employeesNumber){
		this.employeesNumber = employeesNumber;
	}
		/**
	 *获取已投保人数
	 */
	public Integer getInsuredNumber(){
		return insuredNumber;
	}
	
	/**
	 *设置已投保人数
	 */
	public void setInsuredNumber(Integer insuredNumber){
		this.insuredNumber = insuredNumber;
	}
		/**
	 *获取联系人
	 */
	public String getPerson(){
		return person;
	}
	
	/**
	 *设置联系人
	 */
	public void setPerson(String person){
		this.person = person;
	}
		/**
	 *获取联系电话
	 */
	public String getTel(){
		return tel;
	}
	
	/**
	 *设置联系电话
	 */
	public void setTel(String tel){
		this.tel = tel;
	}
		/**
	 *获取电子邮箱
	 */
	public String getMail(){
		return mail;
	}
	
	/**
	 *设置电子邮箱
	 */
	public void setMail(String mail){
		this.mail = mail;
	}
		/**
	 *获取邮政编码
	 */
	public String getPostal(){
		return postal;
	}
	
	/**
	 *设置邮政编码
	 */
	public void setPostal(String postal){
		this.postal = postal;
	}
		/**
	 *获取地址
	 */
	public String getAddress(){
		return address;
	}
	
	/**
	 *设置地址
	 */
	public void setAddress(String address){
		this.address = address;
	}
		/**
	 *获取企业公章(附件)
	 */
	public String getCompanyStampFile(){
		return companyStampFile;
	}
	
	/**
	 *设置企业公章(附件)
	 */
	public void setCompanyStampFile(String companyStampFile){
		this.companyStampFile = companyStampFile;
	}
		/**
	 *获取推广员账号
	 */
	public String getPromoter(){
		return promoter;
	}
	
	/**
	 *设置推广员账号
	 */
	public void setPromoter(String promoter){
		this.promoter = promoter;
	}
		/**
	 *获取近三年损失情况（时间、原因、损失金额）
	 */
	public String getRemark(){
		return remark;
	}
	
	/**
	 *设置近三年损失情况（时间、原因、损失金额）
	 */
	public void setRemark(String remark){
		this.remark = remark;
	}
		/**
	 *获取微信openID
	 */
	public String getOpenId(){
		return openId;
	}
	
	/**
	 *设置微信openID
	 */
	public void setOpenId(String openId){
		this.openId = openId;
	}
		/**
	 *获取云平台买方ID
	 */
	public String getBuyId(){
		return buyId;
	}
	
	/**
	 *设置云平台买方ID
	 */
	public void setBuyId(String buyId){
		this.buyId = buyId;
	}
		/**
	 *获取状态
	 */
	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态
	 */
	public void setStatus(String status){
		this.status = status;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "更新时间")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}