package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_insurance_definition_limit的实体类
 险种限额信息
 */
@ApiModel(value = "险种限额信息")
public class InsuranceDefinitionLimit {
	private String id;
	private String definitionId;
	private String name;
	private String limit;
	private String unit;
	private String status;
	private Boolean delFlag;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;

		/**
	 *获取编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取险种信息ID
	 */
	public String getDefinitionId(){
		return definitionId;
	}
	
	/**
	 *设置险种信息ID
	 */
	public void setDefinitionId(String definitionId){
		this.definitionId = definitionId;
	}
		/**
	 *获取限额名称
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置限额名称
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取责任限额/免赔额
	 */
	public String getLimit(){
		return limit;
	}
	
	/**
	 *设置责任限额/免赔额
	 */
	public void setLimit(String limit){
		this.limit = limit;
	}
		/**
	 *获取计算单位(次/元/人/万)
	 */
	public String getUnit(){
		return unit;
	}
	
	/**
	 *设置计算单位(次/元/人/万)
	 */
	public void setUnit(String unit){
		this.unit = unit;
	}
		/**
	 *获取状态
	 */
	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态
	 */
	public void setStatus(String status){
		this.status = status;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取修改人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置修改人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "修改时间")
		/**
	 *获取修改时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置修改时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}