package com.jpsoft.picc.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:business_insurance_application的实体类
 投保单
 */
@ApiModel(value = "business_insurance_application的实体类")
public class InsuranceApplication {
	private String id;
	private String companyId;
	private String definitionId;
	private String insuredName;
	private String insuredTel;
	private Date startTime;
	private Date endTime;
	private Integer number;
	private BigDecimal insuranceFee;
	private String status;
	private String processStatus;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;

		/**
	 *获取ID
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取企业ID
	 */
	public String getCompanyId(){
		return companyId;
	}
	
	/**
	 *设置企业ID
	 */
	public void setCompanyId(String companyId){
		this.companyId = companyId;
	}
		/**
	 *获取保险种类
	 */
	public String getDefinitionId(){
		return definitionId;
	}
	
	/**
	 *设置保险种类
	 */
	public void setDefinitionId(String definitionId){
		this.definitionId = definitionId;
	}
		/**
	 *获取投保人姓名
	 */
	public String getInsuredName(){
		return insuredName;
	}
	
	/**
	 *设置投保人姓名
	 */
	public void setInsuredName(String insuredName){
		this.insuredName = insuredName;
	}
		/**
	 *获取联系电话
	 */
	public String getInsuredTel(){
		return insuredTel;
	}
	
	/**
	 *设置联系电话
	 */
	public void setInsuredTel(String insuredTel){
		this.insuredTel = insuredTel;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "保障开始时间")
		/**
	 *获取保障开始时间
	 */
	public Date getStartTime(){
		return startTime;
	}
	
	/**
	 *设置保障开始时间
	 */
	public void setStartTime(Date startTime){
		this.startTime = startTime;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "保障结束时间")
		/**
	 *获取保障结束时间
	 */
	public Date getEndTime(){
		return endTime;
	}
	
	/**
	 *设置保障结束时间
	 */
	public void setEndTime(Date endTime){
		this.endTime = endTime;
	}
		/**
	 *获取保障数量
	 */
	public Integer getNumber(){
		return number;
	}
	
	/**
	 *设置保障数量
	 */
	public void setNumber(Integer number){
		this.number = number;
	}
		/**
	 *获取保险费合计(总金额)
	 */
	public BigDecimal getInsuranceFee(){
		return insuranceFee;
	}
	
	/**
	 *设置保险费合计(总金额)
	 */
	public void setInsuranceFee(BigDecimal insuranceFee){
		this.insuranceFee = insuranceFee;
	}
		/**
	 *获取状态:草稿10/待初审20/待复审30/待缴费40/待制单50/待出单60/已出单70/已过期100
	 */
	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态:草稿10/待初审20/待复审30/待缴费40/待制单50/待出单60/已出单70/已过期100
	 */
	public void setStatus(String status){
		this.status = status;
	}
		/**
	 *获取流程审核状态:正常/回退等
	 */
	public String getProcessStatus(){
		return processStatus;
	}
	
	/**
	 *设置流程审核状态:正常/回退等
	 */
	public void setProcessStatus(String processStatus){
		this.processStatus = processStatus;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "更新时间")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}